package body MSHTML.IHTMLMSCSSKeyframeRule_Object is

   procedure Put_keyText
     (This : IHTMLMSCSSKeyframeRule_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLMSCSSKeyframeRule_Put_keyText,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_keyText;

   function Get_keyText
     (This : IHTMLMSCSSKeyframeRule_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLMSCSSKeyframeRule_Get_keyText);
   end Get_keyText;

   function Get_style
     (This : IHTMLMSCSSKeyframeRule_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLMSCSSKeyframeRule_Get_style);
   end Get_style;

end MSHTML.IHTMLMSCSSKeyframeRule_Object;

